# Interface MMenu

All Superinterfaces:
  `MApplicationElement, MElementContainer<MMenuElement>, MLocalizable, MMenuElement, MUIElement, MUILabel`

All Known Subinterfaces:
  `MPopupMenu`

All Known Implementing Classes:
  `MenuImpl, PopupMenuImpl`

public interface MMenu extends MMenuElement, MElementContainer<MMenuElement>
A representation of the model object 'Menu'.

This is a concrete class used to represent a menu in the UI Model.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Enabled`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isEnabled()`
Returns the value of the 'Enabled' attribute.
`void`
`setEnabled(boolean value)`
Sets the value of the '`Enabled`' attribute.

### Methods inherited from interface MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface MElementContainer

`getChildren, getSelectedElement, setSelectedElement`

### Methods inherited from interface MLocalizable

`updateLocalization`

### Methods inherited from interface MMenuElement

`getLocalizedMnemonics, getMnemonics, setMnemonics`

### Methods inherited from interface MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from interface MUILabel

`getIconURI, getLabel, getLocalizedLabel, getLocalizedTooltip, getTooltip, setIconURI, setLabel, setTooltip`

## Method Details

### isEnabled

boolean isEnabled()
Returns the value of the 'Enabled' attribute. The default value is `"true"`.

This field determines whether the associated menu is enabled or not.

Returns:
  the value of the 'Enabled' attribute.
See Also:
  - `setEnabled(boolean)`

### setEnabled

void setEnabled(boolean value)
Sets the value of the '`Enabled`' attribute.

Parameters:
  `value` - the new value of the 'Enabled' attribute.
See Also:
  - `isEnabled()`